Bug 6301 - Connect4 in samr.idl broken
Connect4 in samr.idl broken
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Domain Control
unspecified
All All
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 11:29 UTC by Volker Lendecke
Modified: 2009-05-04 10:02 UTC (History)
1 user (show)

See Also:


Attachments
patch for 3.2 (1.68 KB, patch)
2009-05-01 03:08 UTC, Volker Lendecke
no flags Details
patch for 3.3 (1.68 KB, patch)
2009-05-01 03:08 UTC, Volker Lendecke
no flags Details
patch for 3.2 with signed-off (1.72 KB, patch)
2009-05-03 03:08 UTC, Volker Lendecke
no flags Details
patch for 3.3 with signed-off (1.72 KB, patch)
2009-05-03 03:09 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2009-04-29 11:29:59 UTC
In current Samba 3.2, the connect4 call in samr.idl makes the client_version being parsed as 16 bit. This is wrong, according to MS docs this is a 32 bit field. Result of this flaw is that Windows 2000 clients can't connect to SAMR. This means that certain netlogon.bat style scripts asking for group memberships of the user logging on will fail.

67ca76c288eb095ae has the fix for master, this needs to be applied to 3.2 and 3.3 as well.
Comment 1 Guenther Deschner 2009-04-29 17:49:19 UTC
We got reports on irc #samba (thanks law!) that this is prevents w2ksp4 to join, with the fix it succeeds.
Comment 2 Volker Lendecke 2009-05-01 03:08:01 UTC
Created attachment 4095 [details]
patch for 3.2
Comment 3 Volker Lendecke 2009-05-01 03:08:25 UTC
Created attachment 4096 [details]
patch for 3.3
Comment 4 Volker Lendecke 2009-05-03 03:08:08 UTC
Created attachment 4104 [details]
patch for 3.2 with signed-off
Comment 5 Volker Lendecke 2009-05-03 03:09:02 UTC
Created attachment 4105 [details]
patch for 3.3 with signed-off
Comment 6 Karolin Seeger 2009-05-04 08:31:01 UTC
Patches are upstream.

Closing out bug report.
Comment 7 Karolin Seeger 2009-05-04 10:02:44 UTC
Patches will be included in 3.2.12, 3.3.5 and 3.4.0.